Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.service
Class DisplayChoiceFrame

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--context.arch.service.DisplayChoiceFrame

public class DisplayChoiceFrame
extends java.awt.Frame
implements java.lang.Runnable, java.awt.event.ActionListener

This class is a frame that runs in it's own thread. It's able to display a title, question to the user, choices to the user in the form of radio buttons, and to make the user choice available, if any.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CANCEL` Tag for the cancel button
`static java.lang.String` | `NO_CHOICE` Tag if the user does not select any choice
`static java.lang.String` | `SUBMIT` Tag for the submit button

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`DisplayChoiceFrame(java.awt.event.ActionListener listener, java.util.Vector choices, java.lang.String question, java.lang.String requestId)` This constructor lays out and creates the frame for the user to view.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` This method implements the necessary method for the ActionListener interface.
`java.lang.String` | `getChoice()` This method returns the user's choice from the radio buttons.
`void` | `run()` This method implements the necessary method for the Runnable interface.

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, isResizable, paramString, remove, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, dispose, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, hide, isShowing, pack, postEvent, processEvent, processWindowEvent, removeWindowListener, setCursor, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SUBMIT

    public static final java.lang.String SUBMIT

  Tag for the submit button

### CANCEL

    public static final java.lang.String CANCEL

  Tag for the cancel button

### NO_CHOICE

    public static final java.lang.String NO_CHOICE

  Tag if the user does not select any choice

Constructor Detail

### DisplayChoiceFrame

    public DisplayChoiceFrame(java.awt.event.ActionListener listener,
                              java.util.Vector choices,
                              java.lang.String question,
                              java.lang.String requestId)

  This constructor lays out and creates the frame for the user to view.
  Parameters:
    `listener` - ActionListener object to pass events to
    `choices` - List of choices to display to the user
    `question` - Question to pose to the user
    `requestId` - Unique id to identify the result

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  This method implements the necessary method for the ActionListener interface. If a user clicks on either button, it collects this information and notifies the listener passed into this class with an ActionEvent containing the object that created the event (submit or cancel button), and the unique id passed into this class.
  Specified by:
    actionPerformed in interface java.awt.event.ActionListener
  See Also:
    `ActionEvent`

### run

    public void run()

  This method implements the necessary method for the Runnable interface. It simply makes the frame visible to the user. #setVisible(boolean);
  Specified by:
    run in interface java.lang.Runnable

### getChoice

    public java.lang.String getChoice()

  This method returns the user's choice from the radio buttons. This will be one of the input choices, or, if none selected, it will be NO_CHOICE.
  Returns:
    the user's choice
  See Also:
    `NO_CHOICE`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD